com.io7m.jpra.runtime.java

## Enum JPRAStringTruncation

- java.lang.Object
- - java.lang.Enum<JPRAStringTruncation>
  - - com.io7m.jpra.runtime.java.JPRAStringTruncation

- All Implemented Interfaces:
    Serializable, Comparable<JPRAStringTruncation>

      public enum JPRAStringTruncation
      extends Enum<JPRAStringTruncation>

  Behaviour for string truncation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REJECT` Reject the string rather than truncating.
    `TRUNCATE` Truncate the given string.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPRAStringTruncation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JPRAStringTruncation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRUNCATE

          public static final JPRAStringTruncation TRUNCATE

      Truncate the given string.

    - #### REJECT

          public static final JPRAStringTruncation REJECT

      Reject the string rather than truncating.

  - ### Method Detail

    - #### values

          public static JPRAStringTruncation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPRAStringTruncation c : JPRAStringTruncation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPRAStringTruncation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com